## ros-noetic-dbw-polaris-joystick-demo 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(dbw_polaris_joystick_demo)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  sensor_msgs
  dbw_polaris_msgs
)

catkin_package()

include_directories(
  ${catkin_INCLUDE_DIRS}
)

add_executable(${PROJECT_NAME}_joystick_demo src/joystick_demo.cpp src/JoystickDemo.cpp)
add_dependencies(${PROJECT_NAME}_joystick_demo ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_joystick_demo
  ${catkin_LIBRARIES}
)
set_target_properties(${PROJECT_NAME}_joystick_demo PROPERTIES OUTPUT_NAME joystick_demo PREFIX "")

install(TARGETS ${PROJECT_NAME}_joystick_demo
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== debian/changelog ===
ros-noetic-dbw-polaris-joystick-demo (1.1.0-1focal) focal; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 30 Nov 2022 05:00:00 -0000

ros-noetic-dbw-polaris-joystick-demo (1.0.2-1focal) focal; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 08 Mar 2022 05:00:00 -0000

ros-noetic-dbw-polaris-joystick-demo (1.0.1-1focal) focal; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 20 Sep 2021 04:00:00 -0000

ros-noetic-dbw-polaris-joystick-demo (1.0.0-1focal) focal; urgency=high

  * Use 'steering_cmd' topic as preferred method of steering calibration
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 12 May 2021 04:00:00 -0000

ros-noetic-dbw-polaris-joystick-demo (0.0.8-1focal) focal; urgency=high

  * Add option to use socketcan hardware
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 09 Mar 2021 05:00:00 -0000

ros-noetic-dbw-polaris-joystick-demo (0.0.7-1focal) focal; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 14 Jan 2021 05:00:00 -0000

ros-noetic-dbw-polaris-joystick-demo (0.0.6-1focal) focal; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 16 Nov 2020 05:00:00 -0000

ros-noetic-dbw-polaris-joystick-demo (0.0.5-1focal) focal; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 04 Nov 2020 05:00:00 -0000

ros-noetic-dbw-polaris-joystick-demo (0.0.4-1focal) focal; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 12 Oct 2020 04:00:00 -0000

ros-noetic-dbw-polaris-joystick-demo (0.0.3-1focal) focal; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 17 Aug 2020 04:00:00 -0000

ros-noetic-dbw-polaris-joystick-demo (0.0.2-1focal) focal; urgency=high

  * Add shift control
  * Increase CMake minimum version to 3.0.2 to avoid warning about CMP0048
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_author_warning
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 06 Aug 2020 04:00:00 -0000

ros-noetic-dbw-polaris-joystick-demo (0.0.1-1focal) focal; urgency=high

  * Initial release (fork of dbw_fca_ros)
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 28 Feb 2020 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-dbw-polaris-joystick-demo
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-dbw-polaris-msgs, ros-noetic-roscpp, ros-noetic-roslaunch <!nocheck>, ros-noetic-roslib <!nocheck>, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-noetic-dbw-polaris-joystick-demo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-dbw-polaris-can, ros-noetic-dbw-polaris-msgs, ros-noetic-joy, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Description: Demonstration of drive-by-wire with joystick

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-dbw-polaris-joystick-demo//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
